Package be.cin.mycarenet._1_0.carenet.types

# Class SpecificTechnicalResponseCareDetail

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.SpecificTechnicalResponseCareDetail

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class SpecificTechnicalResponseCareDetail extends Object implements Serializable

Java class for SpecificTechnicalCareResponseDetailType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SpecificTechnicalCareResponseDetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="NurseReference" type="{urn:be:cin:mycarenet:1.0:carenet:types}NurseReferenceType"/>
             <element name="MessageName" type="{urn:be:cin:mycarenet:1.0:carenet:types}MessageNameType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpecificTechnicalResponseCareDetail()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MessageNameType`
  `getMessageName()`
  Gets the value of the messageName property.
  `String`
  `getNurseReference()`
  Gets the value of the nurseReference property.
  `void`
  `setMessageName(MessageNameType value)`
  Sets the value of the messageName property.
  `void`
  `setNurseReference(String value)`
  Sets the value of the nurseReference property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SpecificTechnicalResponseCareDetail

    public SpecificTechnicalResponseCareDetail()

- ## Method Details

  - ### getNurseReference

    public String getNurseReference()
    Gets the value of the nurseReference property.
    Returns:
      possible object is `String`

  - ### setNurseReference

    public void setNurseReference(String value)
    Sets the value of the nurseReference property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMessageName

    public MessageNameType getMessageName()
    Gets the value of the messageName property.
    Returns:
      possible object is `MessageNameType`

  - ### setMessageName

    public void setMessageName(MessageNameType value)
    Sets the value of the messageName property.
    Parameters:
      `value` - allowed object is `MessageNameType`